 <!-- modiproducts.php 中的多角度图片处理  -->
 
<script>
var i=1;
function addFile()
{
	
 if(i<7)
 {
  var str = '<div id="tempobj'+i+'"><BR> <input class="a" type="file" name="showPic[]" runat="server" style="width: 200px"/>描述：<input id="text" name="text[]" type="text" style="width: 150px" maxlength="600" /><input type="button" onclick="del(this)" value="删除" style="margin-left:80px">   </div>'
  document.getElementById('myfile').insertAdjacentHTML("beforeEnd",str);
  i++;
 }
 else
 {
  alert("您一次最多只能上传6张图片！")
 }
}
function del(_element){
		
	         var _parentElement = _element.parentNode.parentNode;
	         if(_parentElement){
	                _parentElement.removeChild(_element.parentNode);
	         }
	}
var e=0;
function partimages()
{
	
 if(e<7)
 {
  var str = '<div id="tempobj'+e+'"><BR> <input class="a" type="file" name="partimages[]" runat="server" style="width: 200px"/><br><br><input id="text" name="partText[]" type="text" style="width: 150px" maxlength="600" />:描述<br><input type="button" onclick="del(this)" value="删除" style="margin-left:80px">   </div>'
  document.getElementById('partimages').insertAdjacentHTML("beforeEnd",str);
  e++;
 }
 else
 {
  alert("您一次最多只能上传6张图片！")
 }
}
</script>

                  <tr bgcolor="#f4f4f4" >
                    <td height="48" style="padding-left:12px;"> 多角度图片:<br />
                      <input type="button" value="增加图片" onclick="addFile()"/></td>  
 <?php 
					
					$products_sql="select * from ls_propic where productID=".$id." and num!=0";
					
					$products_query=$opendb->query($products_sql);
?>
                    <td colspan="2"><table>
                      <?php 
							$i=1;
									echo '<tr>';
							while($products_rows1=mysqli_fetch_assoc($products_query)){
							$mtpic=(!$ifgetweb?$products_rows1[picPath]: (file_exists($products_rows1[picPath])? $products_rows1[picPath]:"..".substr( $products_rows1[picPath],0,strpos( $products_rows1[picPath],"@"))));
							echo '<td style="width:200px;vertical-align:top;position:relative;border:1px solid #fff;margin:0;padding:0 0 0 3em"><img style="wiht:100px;height:100px;position:relative;" src="'.$mtpic.'" />'; 
							//19-7
							if($products_rows1[num]!=0){
								echo '<a href="delpic.php?ls=del&id='.$products_rows1[ID].'&yid='.$id.'"><span style="position:absolute;color:red ">删除</span></a><br>';
								echo '<input type="file" name="newimage[]"><br>';
								echo '<input name="proTitle[]" value='.$products_rows1['proTitle'].' size=30><br>';
								echo '<input type="hidden" name="titleid[]" value='.$products_rows1['ID'].'></td>';
								
							}else{
								echo '<div style="width:200px;height:21px"></div></td>';
							}
						$a=$i%4;	
							if($a==0){
								echo "</tr><tr>";
							}
							$i++;
							}
						?>
                      <tr>
                        <td colspan='4'><div id="myfile"></div></td>
                      </tr>
                    </table></td>
                  </tr>
